@import 'vars.scss';

.mat-paginator {
    background: none;
}

.sub-info {
    display: flex;
    color: #8E8E8E;
    font-size: 11px;
    font-weight: bold;
    background: #F3FAFC;
    padding: 5px;

    &-data {
        flex: 1;

    }
}

.main-info {
    display: flex;
    padding: 20px;
    align-items: center;

    &-status {
        position: relative;
        width: 65px;
        text-align: center;

        .mat-icon {
            font-size: 25px;
            //color: green;
        }
    }

    &-action {
        color: #8E8E8E;

        .mat-badge-content {
            font-size: 10px;
        }
    }
}

.selected-data {
    background: #EEFCFF;

    .sub-info {
        background: #EEFCFF;
    }

    .main-info-data {
        color: $primary;
    }

}

button[disabled] {
    opacity: 0.5;
    border-color: #666 !important;
    color: #666 !important;
}

.mat-row:hover {
    background: inherit;
}

.mat-badge-content {
    background: $secondary;
}